Bug 368491

Summary: Screen flicker on ATI X300 during install
Product: [Fedora] Fedora Reporter: Jan "Yenya" Kasprzak <kas>
Component: xorg-x11-drv-atiAssignee: Dave Airlie <airlied>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 8CC: xgl-maint
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-11-26 05:55:49 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
My current xorg.conf from F8
none
My xorg.conf from F7
none
X.org log file from F8 none

Description Jan "Yenya" Kasprzak 2007-11-06 11:42:31 EST
Description of problem:
I have an ASUS M6R laptop (http://www.fi.muni.cz/~kas/m6r/), which has 16:10
screen aspect ratio (1280x800 native resolution), and has an ATI Mobility Radeon
X300 graphics chipset. When booted from Fedora 8 DVD to the graphics install,
the display flickers (horizontally, if I can tell) to the point that the text on
the screen is unreadable. Probably anaconda uses some modeline which is unusable
on this chipset+display combo.

Version-Release number of selected component (if applicable):
Fedora8-i386-DVD.iso as of today, SHA1 sum 782a0e80de1b8e9f24e10e40055cc1b545390cbd

Additional info:
- text mode install works OK.
- I run one of Fedora mirrors, so I've got the F8 DVD a bit early :-)
Comment 1 Matěj Cepl 2007-11-07 08:38:56 EST
Yenyo, could I ask for /var/log/Xorg.0.log and /etc/X11/xorg.conf (in case you
use the latter), please?
Comment 2 Jan "Yenya" Kasprzak 2007-11-27 06:47:41 EST
Created attachment 269631 [details]
My current xorg.conf from F8
Comment 3 Jan "Yenya" Kasprzak 2007-11-27 06:48:43 EST
Created attachment 269641 [details]
My xorg.conf from F7

I am sorry that my xorg.conf files are not minimal ones, but for getting an
idea of which modes are needed on ASUS M6R, it should be sufficient.
Comment 4 Jan "Yenya" Kasprzak 2007-11-27 06:49:07 EST
Created attachment 269651 [details]
X.org log file from F8
Comment 5 Bug Zapper 2008-11-26 03:13:05 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Jan "Yenya" Kasprzak 2008-11-26 05:55:49 EST
This bug report has been ignored for the whole lifetime of F8.
Should I bother to report bugs anymore?

Anyway, I am now trying to upgrade my laptop to F10, and the graphics mode
seems to be OK (it is not stretched to the whole screen, but it does not flicker). So the bug has been fixed somewhere between F8 and F10.
Closing with CURRENTRELEASE.